<?php


// configure
// an email address that will be in the From field of the email.
$from = 'Tech Data contact form <pavan@timeus.net>';
$sendTo = 'Tech Data contact form <pavan@timeus.net>';
$subject = 'New message from Website';
$fields = array('first_name' => 'First Name', 'last_name' => 'Last Name', 'organization' => 'Organization', 'designation' => 'Designation', 'email' => 'Email', 'phone' => 'Phone', 'organisationSize' => 'Organisation Size');

$okMessage = '';



// let's do the sending

// if you are not debugging and don't need error reporting, turn this off by error_reporting(0);
error_reporting(E_ALL & ~E_NOTICE);

try {
    if (!empty($_POST)) {

         
      
        // everything went well, we can compose the message, as usually
        
        $emailText = "You have a new message from Website form \n=============================\n";

        foreach ($_POST as $key => $value) {
            // If the field exists in the $fields array, include it in the email
            if (isset($fields[$key])) {
                $emailText .= "$fields[$key]: $value\n";
            }
        }
    
        // All the neccessary headers for the email.
        $headers = array('Content-Type: text/plain; charset="UTF-8";',
            'From: ' . $from,
            'Reply-To: ' . $from,
            'Return-Path: ' . $from,
        );
        
        // Send email
        mail($sendTo, $subject, $emailText, implode("\n", $headers));

        $responseArray = array('type' => 'success', 'message' => $okMessage);
    }
} catch (\Exception $e) {
    $responseArray = array('type' => 'danger', 'message' => $e->getMessage());
}

if (!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
    $encoded = json_encode($responseArray);

    header('Content-Type: application/json');

    echo $encoded;
} else {
    echo $responseArray['message'];
}
